var bigData4 = {
	"上月": {
		"门急诊人次": 4767,
		"门诊人次": 2554,
		"急诊人次": 1213,
		"门诊总费用": 466858.24,
		"急诊总费用": 335582.55,
		"住院人次": 1212,
		"住院总费用": 465483.21,
		"住院均次费用": 352.13,
		"住院床日数": 733,
		"住院平均床日数": 2.3
		},
		"本年": {
		"门急诊人次": 235563,
		"门诊人次": 123252,
		"急诊人次": 109311,
		"门诊总费用": 34565452.21,
		"急诊总费用": 4886521.36,
		"住院人次": 25623,
		"住院总费用": 3525486.45,
		"住院均次费用": 396.51,
		"住院床日数": 4225,
		"住院平均床日数": 2.4
		},
	"门诊人次月趋势": {
		"title": {
			"text": "门诊人次月趋势",
			"x": "center",
			textStyle: {
				color: '#b5e1fc',
				fontSize: 16,
				fontWeight: 'bold'
			}
		},
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				crossStyle: {
					color: '#fff'
				}
			}
		},
		"grid": {
			top: '70',
			left: '60'
		},
		legend: {
			data: ['门诊人次', '环比'],
			textStyle: {
				color: '#b5e1fc'
			},
			top: '40'
		},
		xAxis: [{
			type: 'category',
			data: ['1月', '2月', '3月', '4月', '5月', '6月'],
			axisPointer: {
				type: 'shadow'
			},
			axisTick: {
				show: false
			},
			axisLine: {
				lineStyle: {
					color: '#095f8e'
				}
			},
			axisLabel: {
				color: '#b5e1fc'
			}
		}],
		yAxis: [{
				type: 'value',
				name: '门诊人次',
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e'
					}
				},
				axisLabel: {
					color: '#b5e1fc'
				}
			},
			{
				type: 'value',
				name: '环比',
				min: 0,
				max: 4,
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false // 不显示坐标轴刻度
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e' // 坐标轴轴线颜色
					}
				},
				axisLabel: {
					color: '#b5e1fc' // 坐标轴刻度标签文本颜色
				}
			}
		],
		series: [{
				name: '门诊人次',
				type: 'bar',
				"data": [
					"32456",
					"33995",
					"34553",
					"37453",
					"45332",
					"34732"
				],
				barWidth: 20,
				label: {
					normal: {
						show: true,
						position: 'top', // 在柱状图上方显示
						color: '#fff' // 柱状图上方显示的数值颜色
					}
				},
				itemStyle: {
					barBorderRadius: [8, 8, 0, 0],
					color: '#00e6f3'
				}
			},
			{
				name: '环比',
				type: 'line',
				yAxisIndex: 1,
				"data": [
					"1.6",
					"2.4",
					"2.1",
					"1.2",
					"2.3",
					"1.5"
				],
				itemStyle: {
					color: '#03fa6d'
				}
			}
		]
	},
	"住院人次月趋势": {
		"title": {
			"text": "住院人次月趋势",
			"x": "center",
			textStyle: {
				color: '#b5e1fc',
				fontSize: 16,
				fontWeight: 'bold'
			}
		},
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				crossStyle: {
					color: '#fff'
				}
			}
		},
		"grid": {
			top: '70',
		},
		legend: {
			data: ['住院人次', '环比'],
			textStyle: {
				color: '#b5e1fc'
			},
			top: '40'
		},
		xAxis: [{
			type: 'category',
			data: ['1月', '2月', '3月', '4月', '5月', '6月'],
			axisPointer: {
				type: 'shadow'
			},
			axisTick: {
				show: false
			},
			axisLine: {
				lineStyle: {
					color: '#095f8e'
				}
			},
			axisLabel: {
				color: '#b5e1fc'
			}
		}],
		yAxis: [{
				type: 'value',
				name: '住院人次',
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e'
					}
				},
				axisLabel: {
					color: '#b5e1fc'
				}
			},
			{
				type: 'value',
				name: '环比',
				min: 0,
				max: 4,
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false // 不显示坐标轴刻度
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e' // 坐标轴轴线颜色
					}
				},
				axisLabel: {
					color: '#b5e1fc' // 坐标轴刻度标签文本颜色
				}
			}
		],
		series: [{
				name: '住院人次',
				type: 'bar',
				"data": [
					"1432",
					"4234",
					"4287",
					"5560",
					"3265",
					"4245"
				],
				barWidth: 20,
				label: {
					normal: {
						show: true,
						position: 'top', // 在柱状图上方显示
						color: '#fff' // 柱状图上方显示的数值颜色
					}
				},
				itemStyle: {
					barBorderRadius: [8, 8, 0, 0],
					color: '#ff616f'
				}
			},
			{
				name: '环比',
				type: 'line',
				yAxisIndex: 1,
				"data": [
					"2.1",
					"1.0",
					"1.5",
					"2.2",
					"1.3",
					"1.7"
				],
				itemStyle: {
					color: '#03fa6d'
				}
			}
		]
	},
	"各区县服务患者数": [{
		"name": "港北区",
		"value": 525
		},{
		"name": "港南区",
		"value": 637
		}, {
		"name": "覃塘区",
		"value": 467
		}, {
		"name": "平南县",
		"value": 389
		}, {
		"name": "桂平市",
		"value": 466
		}
		],
		"昨日数据": {
		"服务患者数": 2464,
		"门急诊人次": 2353,
		"住院人次": 623,
		"门急诊总费用": 545554.27,
		"住院总费用": 765424.23,
		"门急诊次均费用": 222.57,
		"住院均次费用": 396.53,
		"住院平均床日数": 3.4
		},
		"门急诊服务情况": [
		{
			"月份": "1",
			"门急诊总费用": "34436.4",
			"门急诊总费用环比": "1.1",
			"门急诊次均费用": "235",
			"门急诊次均费用环比": "1.6"
		},
		{
			"月份": "2",
			"门急诊总费用": "33486",
			"门急诊总费用环比": "2.2",
			"门急诊次均费用": "223",
			"门急诊次均费用环比": "1.6"
		},
		{
			"月份": "3",
			"门急诊总费用": "32446",
			"门急诊总费用环比": "2.4",
			"门急诊次均费用": "384",
			"门急诊次均费用环比": "1.6"
		},
		{
			"月份": "4",
			"门急诊总费用": "35565",
			"门急诊总费用环比": "1.3",
			"门急诊次均费用": "225",
			"门急诊次均费用环比": "1.2"
		},
		{
			"月份": "5",
			"门急诊总费用": "24454",
			"门急诊总费用环比": "2.6",
			"门急诊次均费用": "246",
			"门急诊次均费用环比": "1.2"
		},
		{
			"月份": "6",
			"门急诊总费用": "25223",
			"门急诊总费用环比": "2.6",
			"门急诊次均费用": "196",
			"门急诊次均费用环比": "2.1"
		}
		],
	"门诊分类别月趋势": {
		"title": {
			"text": "门诊分类别月趋势",
			"x": "center",
			textStyle: {
				color: '#b5e1fc',
				fontSize: 16,
				fontWeight: 'bold'
			}
		},
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				crossStyle: {
					color: '#fff'
				}
			}
		},
		"grid": {
			top: '70',
			left: '60',
			bottom: '30'
		},
		legend: {
			data: ['普通号', '专家号', '普通号环比', '专家号环比'],
			textStyle: {
				color: '#b5e1fc'
			},
			top: '30',
			itemWidth: 10
		},
		xAxis: [{
			type: 'category',
			data: ['1月', '2月', '3月', '4月', '5月', '6月'],
			axisPointer: {
				type: 'shadow'
			},
			axisTick: {
				show: false
			},
			axisLine: {
				lineStyle: {
					color: '#095f8e'
				}
			},
			axisLabel: {
				color: '#b5e1fc'
			}
		}],
		yAxis: [{
				type: 'value',
				name: '人次',
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e'
					}
				},
				axisLabel: {
					color: '#b5e1fc'
				},
				splitNumber: 2
			},
			{
				type: 'value',
				name: '环比',
				min: 0,
				max: 4,
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false // 不显示坐标轴刻度
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e' // 坐标轴轴线颜色
					}
				},
				axisLabel: {
					color: '#b5e1fc' // 坐标轴刻度标签文本颜色
				}
			}
		],
		series: [{
				name: '普通号',
				type: 'bar',
				"data": [
					"13423",
					"26454",
					"27649",
					"26736",
					"26557",
					"55641"
				],
				barWidth: 20,
				label: {
					normal: {
						show: true,
						position: 'top', // 在柱状图上方显示
						color: '#fff', // 柱状图上方显示的数值颜色
						fontSize: 11
					}
				},
				itemStyle: {
					barBorderRadius: [8, 8, 0, 0],
					color: '#00e6f3'
				}
			},
			{
				name: '专家号',
				type: 'bar',
				"data": [
					"8235",
					"8347",
					"9225",
					"8246",
					"8954",
					"8652"
				],
				barWidth: 20,
				label: {
					normal: {
						show: true,
						position: 'top', // 在柱状图上方显示
						color: '#fff', // 柱状图上方显示的数值颜色
						fontSize: 11
					}
				},
				itemStyle: {
					barBorderRadius: [8, 8, 0, 0],
					color: '#fff71a'
				}
			},
			{
				name: '普通号环比',
				type: 'line',
				yAxisIndex: 1,
				"data": [
					"2.2",
					"1.7",
					"2.6",
					"1.2",
					"1.4",
					"1.5"
				],
				itemStyle: {
					color: '#03fa6d'
				}
			},
			{
				name: '专家号环比',
				type: 'line',
				yAxisIndex: 1,
				"data": [
					"1.2",
					"2.3",
					"2.7",
					"2.6",
					"2.1",
					"1.4"
				],
				itemStyle: {
					color: '#ff616f'
				}
			},
		]
	},
	"住院服务情况": [
		{
			"月份": "1",
			"住院总费用": "2432633.4",
			"住院总费用环比": "1.2",
			"住院次均费用": "244",
			"住院次均费用环比": "1.2"
		},
		{
			"月份": "2",
			"住院总费用": "3534641.9",
			"住院总费用环比": "2.9",
			"住院次均费用": "1244",
			"住院次均费用环比": "2.3"
		},
		{
			"月份": "3",
			"住院总费用": "2346556.5",
			"住院总费用环比": "2.4",
			"住院次均费用": "1244",
			"住院次均费用环比": "1.4"
		},
		{
			"月份": "4",
			"住院总费用": "375465",
			"住院总费用环比": "1.8",
			"住院次均费用": "1245",
			"住院次均费用环比": "1.5"
		},
		{
			"月份": "5",
			"住院总费用": "2788456",
			"住院总费用环比": "2.3",
			"住院次均费用": "1426",
			"住院次均费用环比": "1.7"
		},
		{
			"月份": "6",
			"住院总费用": "3578673",
			"住院总费用环比": "2.4",
			"住院次均费用": "1322",
			"住院次均费用环比": "2.2"
		}
		],
	"住院平均日数月趋势": {
		"title": {
			"text": "住院平均日数月趋势",
			"x": "center",
			textStyle: {
				color: '#b5e1fc',
				fontSize: 16,
				fontWeight: 'bold'
			}
		},
		tooltip: {
			trigger: 'axis',
			axisPointer: {
				type: 'cross',
				crossStyle: {
					color: '#fff'
				}
			}
		},
		"grid": {
			top: '70',
			left: '60',
			bottom: '30'
		},
		legend: {
			data: ['住院平均床日数', '环比'],
			textStyle: {
				color: '#b5e1fc'
			},
			top: '30'
		},
		xAxis: [{
			type: 'category',
			data: ['1月', '2月', '3月', '4月', '5月', '6月'],
			axisPointer: {
				type: 'shadow'
			},
			axisTick: {
				show: false
			},
			axisLine: {
				lineStyle: {
					color: '#095f8e'
				}
			},
			axisLabel: {
				color: '#b5e1fc'
			}
		}],
		yAxis: [{
				type: 'value',
				name: '天',
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e'
					}
				},
				axisLabel: {
					color: '#b5e1fc'
				},
				splitNumber: 2
			},
			{
				type: 'value',
				name: '环比',
				min: 0,
				max: 4,
				nameTextStyle: {
					color: '#b5e1fc' // 坐标轴名称颜色
				},
				splitLine: {
					show: false // 不显示坐标轴刻度
				},
				axisLine: {
					lineStyle: {
						color: '#095f8e' // 坐标轴轴线颜色
					}
				},
				axisLabel: {
					color: '#b5e1fc' // 坐标轴刻度标签文本颜色
				}
			}
		],
		series: [{
				name: '住院平均床日数',
				type: 'bar',
				"data": [
					"23.3",
					"43.3",
					"45.6",
					"41.9",
					"54.6",
					"45.7"
				],
				barWidth: 20,
				label: {
					normal: {
						show: true,
						position: 'top', // 在柱状图上方显示
						color: '#fff' // 柱状图上方显示的数值颜色
					}
				},
				itemStyle: {
					barBorderRadius: [8, 8, 0, 0],
					color: '#00e6f3'
				}
			},
			{
				name: '环比',
				type: 'line',
				yAxisIndex: 1,
				"data": [
					"1.6",
					"2.4",
					"2.3",
					"1.7",
					"2.8",
					"1.7"
				],
				itemStyle: {
					color: '#03fa6d'
				}
			}
		]
	}
}